DeclarableType (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.configuration

## Class DeclarableType

- java.lang.Object
- - org.apache.geode.cache.configuration.ClassNameType
  - - org.apache.geode.cache.configuration.DeclarableType

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RegionAttributesType.EvictionAttributes.LruHeapPercentage

      @Experimental
      public class DeclarableType
      extends ClassNameType

  A "declarable" element specifies a Declarable object to be placed in a Region entry.

  Java class for declarable-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="declarable-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
               <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<ParameterType>` | `parameters`

    - ### Fields inherited from class org.apache.geode.cache.configuration.ClassNameType

      `className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclarableType()`
    `DeclarableType(java.lang.String className)`
    `DeclarableType(java.lang.String className, java.util.Properties properties)`
    `DeclarableType(java.lang.String className, java.lang.String jsonProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.util.List<ParameterType>` | `getParameters()` Gets the value of the parameter property.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.geode.cache.configuration.ClassNameType

      `getClassName, setClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parameters

          protected java.util.List<ParameterType> parameters

  - ### Constructor Detail

    - #### DeclarableType

          public DeclarableType()

    - #### DeclarableType

          public DeclarableType(java.lang.String className)

    - #### DeclarableType

          public DeclarableType(java.lang.String className,
                                java.lang.String jsonProperties)

    - #### DeclarableType

          public DeclarableType(java.lang.String className,
                                java.util.Properties properties)

  - ### Method Detail

    - #### getParameters

          public java.util.List<ParameterType> getParameters()

      Gets the value of the parameter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameter property.

      For example, to add a new item, do as follows:

           getParameters().add(newItem);

      Objects of the following type(s) are allowed in the list `ParameterType`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `ClassNameType`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ClassNameType`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ClassNameType`